当前位置: 首页 > 教程 > Mac软件技巧 > 升级macOS10.15.4软件不兼容解决方法

升级macOS10.15.4软件不兼容解决方法

最新系统10.15.4部分破解软件无法启动,会存在闪退或崩溃的问题,怎么办?macdown小编分享一下方法升级macOS10.15.4软件不兼容解决方法。

已知不兼容应用:

cleanmymac x 4.6-本站已修复,放心下载使用。

pdfpen-本站已修复,放心下载使用。

sketch-本站已修复,放心下载使用。

boom 3D-本站已修复,放心下载使用。

planner 5D【目前无法修复,等待新版本更新】

paste 【目前无法修复,等待新版本更新】

Notability-本站已修复,放心下载使用。

reeder-本站已修复,放心下载使用。

1Password-本站已修复,放心下载使用。

Corel PAInter 2019-【目前无法修复,等待新版本更新】

Text Scanner -本站已修复,放心下载使用。

MarginNote 3-本站已修复,放心下载使用。

Nuke12

持续更新测试中......

macOS10.15.4软件不兼容解决方法

第一步安装Xcode,如果已经安装跳过

下载安装xcode这款软件,两种方法都必须安装这款软件,可以点击下方链接下载xcode,安装好后,要先运行一次xcode。(软件较大,要留20G安装空间)

注意:安装xcode完后,必须打开运行一次xcode。

安装Command Line Tools 工具

打开终端工具输入如下命令:

xcode-select --install

第二步,下载修复软件,如下:

第三步,修复操作按如下视频

下载安装好后,打开app,打开后会有个弹窗,指示的是应用程序栏目。

找到打不开崩溃的软件,点击open。

等待一会弹出这个窗口,点击第二个deep

经过一阵等待后,右上角提示success(成功),说明对软件重新进行了证书认证。

或者我们也可以打开应用文件夹,右击崩溃的程序应用,选择【快速操作】中的【CodeSigner】,等待一会,选择deep,步骤同上(注意:快速操作有时候不能用

然后打开修复的软件,看看这款软件已经没有任何问题可以使用了。(不能保证每个崩溃软件都可行,我们会尽快想尽办法修复不能使用崩溃的Mac软件

如果还是打不开,需要注意的其他事项:

1.打开任何来源:终端输入sudo spctl --master-disable

2.提示损坏:终端打开sudo xattr -r -d com.apple.quarantine /

然后把APP拖到sudo xattr -r -d com.apple.quarantine /后面,

拖进后会自动添加应用程序路径,回车运行。

如遇如下错误:

/文件位置 : replacing existing signature
/文件位置 : resource fork,Finder information,or similar detritus not allowed

先在终端执行:

xattr -cr /文件位置(直接将应用拖进去即可)

然后再次执行如下指令即可:

codesign --force --deep --sign - /文件位置(直接将应用拖进去即可)

最后,再次提醒大家不能保证每个崩溃软件都可行,我们会尽快想尽办法修复不能使用崩溃的Mac软件,敬请关注:macdown.com网站的最新更新内容。

相关文章